# class Host

*Defined at src/core/host.h#14*

Inherits from Node



## Functions

### Host

*public void Host(Simulator *const sim, NodeId id)*

### attach_nic

*public void attach_nic(NetworkNic * nic)*

### detach_nic

*public void detach_nic(NetworkNic * nic)*

### ~Host

*public void ~Host()*

*Defined at src/core/host.h#17*

### nic

*public NetworkNic * nic()*

*Defined at src/core/host.h#20*

### Host

*public void Host(const Host & )*

*Defined at src/core/host.h#39*

### operator=

*public Host & operator=(const Host & )*

*Defined at src/core/host.h#40*

### recv_flow

*public void recv_flow(NodeId src, FlowId flow, FlowPriority priority, Bytes flow_size)*

### recv_frame

*public void recv_frame(const Packet & frame)*

### recv_mgmt_msg

*public void recv_mgmt_msg(std::unique_ptr<struct MgmtMsg> msg)*



